Page MenuHomePhabricator

Allow badges to have any Font Awesome icon
Closed, ResolvedPublic

Description

When you have lots of badges, 16 icons is pretty limiting, especially when there are some Font Awesome icons that really suit certain situations. For example, when we give out a badge for installing the experimental version of Windows on your development machine, we can use , which is far more suitable than having most badges with because nothing else fits.

I realise there's the usual "we should only have 16 icons so they're unique in the system", as is the case for project icons, but in this case I think it's warranted because badges are ~pretty special~.

Revisions and Commits

Event Timeline

hach-que raised the priority of this task from to Needs Triage.
hach-que updated the task description. (Show Details)
hach-que added a project: Badges.
hach-que added subscribers: hach-que, chad.

I mean, just look at how pretty these are with their icons (I set these via SQL updates):

is even better for the fire fighting badge :3

joshuaspence added a subscriber: joshuaspence.

- fought with IE bravely? (icon internet-explorer ws added in FA 4.4.0).

This IS kinda reasonable, but imagine browsing icons for match when creating badges... not only are there ~6 levels of badge awesomnes, there would be hundreds of icons to choose from...

I would imagine either a type ahead or a text box to enter the name of an icon that isn't one of the standard 16.

chad added a comment.Aug 9 2015, 4:00 AM

Very unlikely to pursue this because:

  1. Philosophically Opposed
  2. Time Constrained

But I could increase the icons by another 9 if you have generic requests.

epriestley triaged this task as Wishlist priority.Jan 2 2016, 12:21 AM
epriestley moved this task from Backlog to Far Future on the Badges board.

Can I get clarification on philosophical opposition to this? Is it leaking abstraction of the "icon" interface to the end user?

Would it be better if you could, for example, subclass something on the backend and get the same result, then you wouldn't be philosophically opposed to this?

chad moved this task from Far Future to Backlog on the Badges board.Feb 6 2016, 5:55 AM
chad added a comment.Feb 6 2016, 6:35 AM

There's a lot of junk in "any icon", maybe 10% of the Font Awesome set is useful. We also don't have a chooser for "any icon", so we'd need to build something as such. I could be wrong but I think since Badges is on EditEngine you could set any icon over Conduit. I don't know if I read Evan's diffs right or not.

chad added a comment.Mar 3 2017, 9:46 PM

I'm going to close this as resolved, added 9 more icons. I'm going to open a new task to allow any IconSet be extended, which seems a better path for any similar product.

chad closed this task as Resolved.Mar 3 2017, 9:47 PM
chad claimed this task.